<bugID>580854<Summary>Console timestamps should be themed</Summary><Description>Created attachment 459272
Patch.

The console timestamps should be themeable, so I've separated them out into &lt;span&gt; elements. To do this the following changes were made:

(1) The function ConsoleUtils.timestampString() is changed to timestampNode(), which returns a DOM node.
(2) The callers of timestampString() are updated to use the new interface.
(3) Tests are updated.

There is deliberately no styling on the timestamps, to minimize the size of the patch. This patch does not depend on any unreviewed code.

This patch is part of the Firefox 4 Console UI. The current UI for the console
is simply a placeholder and has not yet been designed from a UX perspective
(see bug 559481). Because I am requesting blocking status for the Console UI,
and this is a critical part of the Console user experience, I am requesting
that this bug block the Firefox 4 release as well.</Description></bugID>